Hide navigation sidebar
Hide table of contents sidebar
Toggle table of contents sidebar

# self.cancel_open_orders

lumibot.strategies.strategy.Strategy.cancel_open_orders(self)

  Cancel all the strategy open orders.

  Cancels all orders that are open and awaiting execution within a given strategy. If running multiple strategies, will only cancel the orders in the current strategy.

  Parameters

    None –

  Returns

  Return type

    None

  Example

      >>> # Cancel all open orders
      >>> self.cancel_open_orders()